// link for pieces and model for link hole that fits it

link_head_width = 5;
link_head_length = 4;
link_neck_length = 5;
link_thickness = 2;
link_length = 8;
link_hole_scale = 1.05;
link_height = 10;

module link() {
	cube([link_length, link_thickness, link_height], center=true);		

	translate([link_neck_length,0,0])
		cube([link_head_length, link_head_width, link_height], center=true);		
		
	translate([-link_neck_length,0,0])
		cube([link_head_length, link_head_width, link_height], center=true);		
}

module link_hole() {
	scale([link_hole_scale, 1, 10]) link();
}

//link();